Bind/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
   
    path('admin/', admin.site.urls),
    path('',include('sova.urls')),
    path('omen/',include('omen.urls')),
    path('breach/',include('breach.urls')),
    path('brimstone/',include('brimstone.urls')),
]

sova/urls.py
from django.urls import path
from . import views

app_name = 'sova'

urlpatterns = [
    path('',views.sova, name='sova'),
    path('form/',views.kegiatanform, name='form'),
    path('hasil/',views.hasil, name='hasil'),
    path('peserta/<int:idpeserta>/',views.pesertaform, name='buat'),
    path('delete/<int:idkegiatan>/',views.delete, name='delete'),
    path('deleteOrang/<int:idpeserta>/',views.deleteOrang, name='deleteOrang'),
]

sova/models.py
from django.db import models
from django import forms

# Create your models here.

class kegiatanModel(models.Model):
    kegiatan = models.CharField(max_length = 50)
    
    def __str__(self):
        return "{}. {}".format(self.id,self.kegiatan)

class pesertaModel(models.Model):
    nama_peserta = models.CharField(max_length = 50)
    ikutKegiatan = models.ForeignKey(
    kegiatanModel, on_delete=models.CASCADE, null=True, blank=True)

    def __str__(self):
        return "{}. {}".format(self.id,self.nama_peserta)

sova/forms.py
from django import forms
from .models import kegiatanModel
from .models import pesertaModel
from django.forms import TextInput,Select,Textarea

class kegiatanForm(forms.ModelForm):
    class Meta:
        model = kegiatanModel
        fields = [
            'kegiatan',
            # 'kegiatan2',
            # 'kegiatan3',
        ]

        widgets = {
                'kegiatan': forms.TextInput(
                    attrs={
                        'class':'form-control',
                        'placeholder': 'Tulis kegiatan anda'
                    }
                ),
        

        }

class pesertaForm(forms.ModelForm):
    class Meta:
        model = pesertaModel
        fields = [
            'nama_peserta',
        ]

        widgets = {
                'nama_peserta': forms.TextInput(
                    attrs={
                        'class':'form-control',
                        'placeholder': 'Tuliskan nama anda'
                    }
                ),

        }

        # 'kegiatan2': forms.TextInput(
                #     attrs={
                #         'class':'form-control',
                #         'placeholder': 'Nama dosen Pengajar'
                #     }
                # ),
                # 'kegiatan3': forms.TextInput(
                #     attrs={
                #         'class':'form-control',
                #         'placeholder': 'ex. 2.2522'
                #     }
                # ),
               

sova/views.py
from django.shortcuts import render,redirect
from .forms import kegiatanForm, pesertaForm
from .models import kegiatanModel, pesertaModel
from django.http import HttpResponseRedirect

# Create your views here.
def sova(request):
    return render(request,"cypher.html")

def kegiatanform(request):
    kegiatan_form = kegiatanForm(request.POST or None)

    context = {
        'heading' : 'kegiatan Form',
        'form' : kegiatan_form
    }
    
    if request.method == 'POST':

        if kegiatan_form.is_valid():
            kegiatan_form.save()
          
            return redirect('sova:hasil')

    return render(request,'form.html',context)

def pesertaform(request,idpeserta):
    peserta_form = pesertaForm(request.POST or None)

    context = {
        'heading' : 'Form peserta',
        'form' : peserta_form
    }
    
    if request.method == 'POST':

        if peserta_form.is_valid():
            peserta = pesertaModel(ikutKegiatan=kegiatanModel.objects.get(id=idpeserta),nama_peserta=peserta_form.data['nama_peserta'])
            peserta.save()
          
            return redirect('sova:hasil')

    return render(request,'peserta.html',context)

def hasil(request):
    kegiatan = kegiatanModel.objects.all()
    peserta = pesertaModel.objects.all()

    context = {
        'page_title':'list_post',
        'kegiatan':kegiatan,
        'page_title':'list_post_peserta',
        'peserta':peserta,

    }
    return render(request,'hasil.html',context)

def delete(request, idkegiatan):
    kegiatanModel.objects.filter(id=idkegiatan).delete()
    return redirect('sova:hasil')

def deleteOrang(request, idpeserta):
    pesertaModel.objects.filter(id=idpeserta).delete()
    return redirect('sova:hasil')

# def hasil_peserta(request):
#     posts2 = pesertaModel.objects.all()

#     context = {
#         'page_title':'list_post',
#         'posts':posts2,

#     }
#     return render(request,'hasil.html',context)

sova/templates/cypher.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% include 'snippets/styles.html' %}
    <title>{{heading}}</title>
</head>
<body>
    <div class="container">
        <h1>KEGIATAN</h1>
       
        <a class = "btn btn-primary" type="submit" href="{% url 'sova:form' %}">Isi Kegiatan</a>
    
        <h3>lihat kegiatan</h3>
        <a class = "btn btn-primary" type="submit" href="{% url 'sova:hasil' %}">Lihat Kegiatan</a>
        <br>
        <br>
        <a class = "btn btn-primary" type="submit" href="omen">What's here</a>
        <br>
        <br>
        <a class = "btn btn-primary" type="submit" href="breach">Library</a>
        <br>
        <br>
        <a class = "btn btn-primary" type="submit" href="brimstone">Lets try Login</a>
    </div>

    {% include 'snippets/scripts.html' %}

</body>
</html>

sova/templates/form.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% include 'snippets/styles.html' %}
    <title>{{heading}}</title>
</head>
<body>
   
    <form method="POST">
        {%csrf_token%}
        <div class="container">
            <h1>{{heading}}</h1>
            <div class="form-group">
                {{form.kegiatan.label_tag}}
                {{form.kegiatan}}
            </div>
            <button class = "btn btn-primary" type="submit" >Selesai</button>
            <a class = "btn btn-success" type="submit" href="{% url 'sova:sova' %}">Kembali</a>
            <br>
        </div>
        {% include 'snippets/scripts.html' %}
</body>
</html>

sova/templates/hasil.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% include 'snippets/styles.html' %}
    <title>{{heading}}</title>
</head>
<body>
    <div class="container">
        <h1>List Kegiatan</h1>
        <a class = "btn btn-success" type="submit" href="{% url 'sova:sova' %}">Kembali</a>
        <br>
        <br>
        {%for post in kegiatan %}
        <div class="card">
            <div class="card-body">
              <h4 class="card-title">{{post.kegiatan}}</h4>
              
            
              {%for post2 in peserta %}
              <!-- {%if post2.ikutKegiatan == post%} -->
              <p class="card-text">
                {{post2.nama_peserta}} <a href="{% url 'sova:deleteOrang' post2.id %}" >delete</a>
              </p>
              <!-- {%endif%} -->
              {%endfor%}
              <a href="{% url 'sova:buat' post.id %}" class="card-link btn btn-secondary">Tambah Peserta</a>
              <a href="{% url 'sova:delete' post.id %}" class="btn btn-danger">delete</a>
            </div>
          </div>
          {%endfor%}
    </div>
    {% include 'snippets/scripts.html' %}
</body>
</html>

sova/templates/peserta.html
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% include 'snippets/styles.html' %}
    <title>Document</title>
</head>
<body>
   
    <form method="POST">
        {%csrf_token%}
        <div class="container">
            <h1>{{heading}}</h1>
            <div class="form-group">
                {{form.nama_peserta.label_tag}}
                {{form.as_table}}
            </div>
            <button class = "btn btn-primary" type="submit">Selesai</button>
            <a class = "btn btn-success" type="submit" href="{% url 'sova:hasil' %}">Kembali</a>
            <br>
        </div>
        {% include 'snippets/scripts.html' %}
</body>
</html>